---
title: "M2 Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/M2"
canonical_url: "https://regulex.uk/directory/postcode/M2"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area M2. Monitoring 327 accountancy practices and 113,388 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/M2](https://regulex.uk/directory/postcode/M2)
>
> *Statutory compliance registry for postal area M2. Monitoring 327 accountancy practices and 113,388 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in M2

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [ANTUNES BUSINESS CONSULTING GROUP LTD](https://regulex.uk/practice/dashboard?crn=17181227) CRN: 17181227 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17181227) |
| 2 | [AUGMENT GROUP LIMITED](https://regulex.uk/practice/dashboard?crn=16680048) CRN: 16680048 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16680048) |
| 3 | [BOWDON ACCOUNTING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=15246055) CRN: 15246055 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15246055) |
| 4 | [BUFFALO PAYROLL LTD](https://regulex.uk/practice/dashboard?crn=13407933) CRN: 13407933 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13407933) |
| 5 | [CJ BOOKKEEPING AND ACCOUNTING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=15592293) CRN: 15592293 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15592293) |
| 6 | [EDWARD AVENUE LIMITED](https://regulex.uk/practice/dashboard?crn=14694575) CRN: 14694575 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14694575) |
| 7 | [ELEVARE ADVISORY & CERTIFIED ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=16987653) CRN: 16987653 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16987653) |
| 8 | [EXPERT ACCOUNTANCY SERVICES LTD](https://regulex.uk/practice/dashboard?crn=14907246) CRN: 14907246 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14907246) |
| 9 | [FC LEDGERS LTD](https://regulex.uk/practice/dashboard?crn=16769509) CRN: 16769509 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16769509) |
| 10 | [FIGURED ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=13266418) CRN: 13266418 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13266418) |
| 11 | [FINANCEPILOT LTD](https://regulex.uk/practice/dashboard?crn=17177960) CRN: 17177960 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17177960) |
| 12 | [FINATEC LTD](https://regulex.uk/practice/dashboard?crn=15744698) CRN: 15744698 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15744698) |
| 13 | [FISCALCULATE LTD](https://regulex.uk/practice/dashboard?crn=14687320) CRN: 14687320 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14687320) |
| 14 | [FISCALFRAME ACCOUNTING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=15803904) CRN: 15803904 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15803904) |
| 15 | [FLOW ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=16534699) CRN: 16534699 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16534699) |
| 16 | [FRWRD ACCOUNTING & ADVICE LTD](https://regulex.uk/practice/dashboard?crn=14423749) CRN: 14423749 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14423749) |
| 17 | [GM & CO ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=16427378) CRN: 16427378 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16427378) |
| 18 | [HOWE BRIDGE CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=11858740) CRN: 11858740 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11858740) |
| 19 | [INTER TAX LTD](https://regulex.uk/practice/dashboard?crn=09432609) CRN: 09432609 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09432609) |
| 20 | [IPH SELECT LTD](https://regulex.uk/practice/dashboard?crn=12244663) CRN: 12244663 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12244663) |
| 21 | [JC TAX ADVISORY LIMITED](https://regulex.uk/practice/dashboard?crn=16639467) CRN: 16639467 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16639467) |
| 22 | [LINTO ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=15382393) CRN: 15382393 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15382393) |
| 23 | [LM ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=13921185) CRN: 13921185 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13921185) |
| 24 | [LMR ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=17144729) CRN: 17144729 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17144729) |
| 25 | [LOYALTY ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=16727489) CRN: 16727489 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16727489) |
| 26 | [MUCHINO ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=16603914) CRN: 16603914 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16603914) |
| 27 | [O & K ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=10029257) CRN: 10029257 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10029257) |
| 28 | [OYA SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=12091369) CRN: 12091369 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12091369) |
| 29 | [PARTHENON ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=15411246) CRN: 15411246 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15411246) |
| 30 | [QUADRANT BOOKKEEPING LIMITED](https://regulex.uk/practice/dashboard?crn=13813504) CRN: 13813504 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13813504) |
| 31 | [QUADRANT ACCOUNTING LIMITED](https://regulex.uk/practice/dashboard?crn=13608961) CRN: 13608961 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13608961) |
| 32 | [TAX HERO LTD](https://regulex.uk/practice/dashboard?crn=16252457) CRN: 16252457 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16252457) |
| 33 | [TRENDS ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=13099614) CRN: 13099614 • M2 3WQ | 1947 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13099614) |
| 34 | [CBOOKKEEPING LTD](https://regulex.uk/practice/dashboard?crn=12881275) CRN: 12881275 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12881275) |
| 35 | [CLARJO LTD](https://regulex.uk/practice/dashboard?crn=09217240) CRN: 09217240 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09217240) |
| 36 | [E & B ROYDE LIMITED](https://regulex.uk/practice/dashboard?crn=12362888) CRN: 12362888 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12362888) |
| 37 | [EASY BOOKS BOOKKEEPING LIMITED](https://regulex.uk/practice/dashboard?crn=12326712) CRN: 12326712 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12326712) |
| 38 | [ELLE SERVICES LTD](https://regulex.uk/practice/dashboard?crn=12178643) CRN: 12178643 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12178643) |
| 39 | [HAFFNER HOFF AUDITORS LTD](https://regulex.uk/practice/dashboard?crn=07159441) CRN: 07159441 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07159441) |
| 40 | [HAFFNER HOFF LIMITED](https://regulex.uk/practice/dashboard?crn=12024729) CRN: 12024729 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12024729) |
| 41 | [LANG ACC LTD](https://regulex.uk/practice/dashboard?crn=12303892) CRN: 12303892 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12303892) |
| 42 | [MOOR LANE (NW) LTD](https://regulex.uk/practice/dashboard?crn=09431772) CRN: 09431772 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09431772) |
| 43 | [PAYACHAL LIMITED](https://regulex.uk/practice/dashboard?crn=11616305) CRN: 11616305 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11616305) |
| 44 | [SIDEPARK SERVICES LTD](https://regulex.uk/practice/dashboard?crn=14318403) CRN: 14318403 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14318403) |
| 45 | [STREBOR LTD](https://regulex.uk/practice/dashboard?crn=09212327) CRN: 09212327 • M25 0TL | 1365 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09212327) |
| 46 | [LEV LTD](https://regulex.uk/practice/dashboard?crn=16245100) CRN: 16245100 • M25 9WS | 919 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16245100) |
| 47 | [LEVENSONS LTD](https://regulex.uk/practice/dashboard?crn=08889495) CRN: 08889495 • M25 9WS | 919 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08889495) |
| 48 | [PARK LANE PARTNERS LIMITED](https://regulex.uk/practice/dashboard?crn=06278039) CRN: 06278039 • M25 9WS | 919 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06278039) |
| 49 | [QCA PARTNERS LTD](https://regulex.uk/practice/dashboard?crn=13324876) CRN: 13324876 • M25 9WS | 919 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13324876) |
| 50 | [SATELLITE OFFICE SERVICES LTD](https://regulex.uk/practice/dashboard?crn=10486031) CRN: 10486031 • M25 9WS | 919 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10486031) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/M2](https://regulex.uk/directory/postcode/M2).
